<template>
  <div id="app">
    <error-modal></error-modal>
    <shared-topbar></shared-topbar>
    <sign-in v-if='!$store.state.logged'></sign-in>
    <div class='container' style='min-width:100%;'>
      <div class= 'row'>
        <shared-leftbar v-if='$store.state.logged' class='col-sm-12 col-md-12 col-lg-2'></shared-leftbar>
        <router-view v-show='$store.state.logged' class='col-sm-12 col-md-12 col-lg-9'></router-view>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted() { 
    if(this.$store.state.logged) {
      this.$http.get('/api/v1/sessions').then((response) => {
      }).catch((error) => {
        this.$root.$emit(`displayError`, (error.response.data.message))
        this.$store.dispatch('signOut')
      })
    }
  },
}
</script>
